/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package beans;

import entities.CompraTarjetaDebito;
import java.util.List;
import javax.ejb.Local;

/**
 *
 * @author ryuuji
 */
@Local
public interface CompraTarjetaDebitoFacadeLocal {

  void create(CompraTarjetaDebito compraTarjetaDebito);

  void edit(CompraTarjetaDebito compraTarjetaDebito);

  void remove(CompraTarjetaDebito compraTarjetaDebito);

  CompraTarjetaDebito find(Object id);

  List<CompraTarjetaDebito> findAll();

  List<CompraTarjetaDebito> findRange(int[] range);

  int count();
  
}
